Subject: Re: serial console

From: David Jander <[email-masked]>
Date: Tue, 4 Oct 2005 17:11:33 +0200

On Tuesday 04 October 2005 08:54, KokHow Teh wrote:
> Hi;
>       I have debian linux running on my PQ2FADS-ZU with devfs and serial
> driver compiled in. I have read Documentation/serial-console.txt and I have
> tried both passing "console=" option as well as without passing that to the
> kernel and both don't give me the expected results.
>       When I pass "console=tts/0,115200n8" to the kernel, I don't get any
> console output until the login prompt which I set to 115200 in
> /etc/inittab. When I don't pass "console=" option to the kernel, I get
> console output all the way until "Freeing unused kernel memory:" and the
> console output is garbled and I don't see any login prompt. Here is the
> /dev/* content:

I don't know exactly what I am talking about right now, but the string "tts/0" 
in the console-line sounds suspicious to me. AFAIK when using devfs still 
device names on the kernel-commandline have to be old-style.
Just a guess: try using "console=ttyS0,115200n8" and see if this helps.

Greetings,

-- 
David Jander